WMFSM(1)

NAME
wmfsm — shows the amount of disk space available

SYNOPSIS

wmfsm [--normal, -n ] [--fire, -f ] [--blink, -b ] [--noblink ] [-display ] [-d, --delay ] [-h, --help ]

DESCRIPTION

wmfsm is a WindowMaker dock application that shows the amount of disk space available on mounted file systems with colored bars.

OPTIONS

This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-h, --help
    Show summary of options.

-v, --version
    Show version of program.

-n, --normal
    Show the entire bars in the same color.

-f, --fire
    Render the bars as gradients. You may switch between the normal and fire modes by mouse clicks anywhere on wmfsm.

-b, --blink
    Blink the bars if the filesystem is 95% full.

--noblink
    Do not blink if the filesystem is 95% full.

-display
    Draw on the specified display.

-d, --delay
    Wait the specified number of milliseconds to redraw the window.

-a, --appearance
    Select an appearance file. Note that these files may be found in the wmfsm data directory, likely /usr/local/share/wmfsm or /usr/share/wmfsm.

FILES

You may exclude filesystems from being show by wmfsm by listing them in the ~/.wmfsmrc file. It should have as its first line either [include] or [exclude]. The next lines are filesystems that are either explicitly included or excluded respectively. Note: the format of the ~/.wmfsmrc file is very strict. Make sure there are no whitespaces at the beginning or at the end of lines. No comments (#) are allowed. Here is an example: [exclude]
/proc
/dev/pts
/floppy
/cdrom

SEE ALSO

X (1x), wmaker (1), df (1).

AUTHOR

This manual page was written by Chris Gray <cgray4@po-box.mcgill.ca>.